#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,x,a,mx=INT_MIN,mn=INT_MAX;
    cin>>n>>x;
    for(int i=0;i<n;i++)
    {
        cin>>a;
        mn = min(a, mn);
        mx = max(a, mx);
    }
    if(mn > x)
    {
        cout<<mx-x;
    }
    else if(mx < x)
    {
        cout<<x-mn;
    }
    else
    {
        cout<<2*min(x-mn, mx-x) + max(x-mn, mx-x);
    }
    return 0;
}